#!/usr/bin/perl -w
use strict;
use MDK::Common qw(cp_af mkdir_p);

my @files;
use File::Find;
sub process_file {
    my $file = $File::Find::name;
    $file =~ s!/var/lib/menu-xdg/applications/!!;
    push(@files, $file);
}

my $kdelocale;
my $kdeorigfile;

exit 0 if $< == 0;

$kdelocale="$ENV{HOME}/.local/share/applications/";
$kdeorigfile="/var/lib/menu-xdg/applications/";

mkdir_p($kdeorigfile) if !-d $kdeorigfile;

File::Find::find(\&process_file, $kdeorigfile);
@files = sort @files;
foreach (@files) {
    my $file = $_;
    if ($file) {
	if (! -e "${kdelocale}/$file") {
	    if (-d "${kdeorigfile}/$file") {
		mkdir("${kdelocale}/$file");
		cp_af("${kdeorigfile}/$file/.directory", "${kdelocale}/$file/.directory");
		open(my $FILE, ">>${kdelocale}/${file}/.directory") or die "Directory $file was not created\n";
		print $FILE "\nHidden=true\n";
		close($FILE);
	    }
	    if (-f "${kdeorigfile}/$file") {
		cp_af("${kdeorigfile}/$file", "${kdelocale}/$file");
		open(my $FILE, ">>${kdelocale}/$file") or die "File $file was not created\n";
		print $FILE "\nHidden=true\n"; 
		close($FILE);
	    }
	}
    }
}
